iRenderView Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iRenderView Struct Reference
Views & Cameras

This interface represents all information needed to render some object in a current draw context. More...

`#include <iengine/rview.h>`

Inheritance diagram for iRenderView:

List of all members.

## Public Member Functions
virtual void | CreateRenderContext ()=0
| Create a new render context.
virtual void | DestroyRenderContext (csRenderContext *context)=0
| Destroy a specific render context (and unlink it from the previous-links)
virtual iCamera * | GetCamera ()=0
| Get the current camera.
virtual iClipper2D * | GetClipper ()=0
| Get the 2D clipper for this view.
virtual uint | GetCurrentFrameNumber () const =0
| Get the number of the current frame.
virtual iEngine * | GetEngine ()=0
| Get the engine.
virtual void | GetFrustum (float &lx, float &rx, float &ty, float &by)=0
| Get the frustum.
virtual iGraphics2D * | GetGraphics2D ()=0
| Get the 2D graphics subsystem.
virtual iGraphics3D * | GetGraphics3D ()=0
| Get the 3D graphics subsystem.
virtual iPortal * | GetLastPortal ()=0
| Get the portal we last traversed through.
virtual iCamera * | GetOriginalCamera () const =0
| Get the original camera for this render view.
virtual iSector * | GetPreviousSector ()=0
| Get previous sector.
virtual csRenderContext * | GetRenderContext ()=0
| Get the current render context.
virtual iSector * | GetThisSector ()=0
| Get current sector.
virtual void | RestoreRenderContext ()=0
| Restore a render context.

## Detailed Description

This interface represents all information needed to render some object in a current draw context.

Main creators of instances implementing this interface:

- iEngine

Main users of this interface:

- meshes

Definition at line 178 of file rview.h.

## Member Function Documentation

virtual void iRenderView::CreateRenderContext | ( |  | ) | `[pure virtual]`

Create a new render context.

This is typically used when going through a portal. Note that you should remember the old render context if you want to restore it later. The render context will get all the values from the current context (with SCF references properly incremented).

Implemented in CS::RenderManager::RenderView.

virtual void iRenderView::DestroyRenderContext | ( | csRenderContext * | context | ) | `[pure virtual]`

Destroy a specific render context (and unlink it from the previous-links)

Implemented in CS::RenderManager::RenderView.

virtual iCamera* iRenderView::GetCamera | ( |  | ) | `[pure virtual]`

Get the current camera.

Implemented in CS::RenderManager::RenderView.

virtual iClipper2D* iRenderView::GetClipper | ( |  | ) | `[pure virtual]`

Get the 2D clipper for this view.

Implemented in CS::RenderManager::RenderView.

virtual uint iRenderView::GetCurrentFrameNumber | ( |  | ) | const`[pure virtual]`

Get the number of the current frame.

Implemented in CS::RenderManager::RenderView.

virtual iEngine* iRenderView::GetEngine | ( |  | ) | `[pure virtual]`

Get the engine.

Implemented in CS::RenderManager::RenderView.

virtual void iRenderView::GetFrustum | ( | float & | lx,
|  | float & | rx,
|  | float & | ty,
|  | float & | by
| ) |  | `[pure virtual]`

Get the frustum.

Implemented in CS::RenderManager::RenderView.

virtual iGraphics2D* iRenderView::GetGraphics2D | ( |  | ) | `[pure virtual]`

Get the 2D graphics subsystem.

Implemented in CS::RenderManager::RenderView.

virtual iGraphics3D* iRenderView::GetGraphics3D | ( |  | ) | `[pure virtual]`

Get the 3D graphics subsystem.

Implemented in CS::RenderManager::RenderView.

virtual iPortal* iRenderView::GetLastPortal | ( |  | ) | `[pure virtual]`

Get the portal we last traversed through.

Implemented in CS::RenderManager::RenderView.

virtual iCamera* iRenderView::GetOriginalCamera | ( |  | ) | const`[pure virtual]`

Get the original camera for this render view.

This is the camera before any space warping portals.

Implemented in CS::RenderManager::RenderView.

virtual iSector* iRenderView::GetPreviousSector | ( |  | ) | `[pure virtual]`

Get previous sector.

Implemented in CS::RenderManager::RenderView.

virtual csRenderContext* iRenderView::GetRenderContext | ( |  | ) | `[pure virtual]`

Get the current render context.

Implemented in CS::RenderManager::RenderView.

virtual iSector* iRenderView::GetThisSector | ( |  | ) | `[pure virtual]`

Get current sector.

Implemented in CS::RenderManager::RenderView.

virtual void iRenderView::RestoreRenderContext | ( |  | ) | `[pure virtual]`

Restore a render context.

Use this to restore a previously overwritten render context. This function will take care of properly cleaning up the current render context.

Implemented in CS::RenderManager::RenderView.

The documentation for this struct was generated from the following file:

- iengine/rview.h